=== debian/changelog ===
ros-kinetic-spinnaker-camera-driver (0.1.3-0xenial) xenial; urgency=high

  * Fix install targets when Spinnaker is installed locally. Tabs in FindSpinnaker.
  * Add missing target (Cm3) and switch to find_package script. (#11 <https://github.com/ros-drivers/flir_camera_driver/issues/11>)
    * Add missing target (Cm3) and switch to find_package script.
    * Clean up message.
  * Adding support of feeding some camera diagnostics to the diagnostic a… (#4 <https://github.com/ros-drivers/flir_camera_driver/issues/4>)
    * Adding support of feeding some camera diagnostics to the diagnostic aggregator
    * Creating a seperate diagnostics launch example
  * Fix null conversion and unsigned comparison Warnings.
  * Contributors: Helen Oleynikova, Michael Hosmar, mlowe-ascent

 -- Mike Hosmar <mhosmar@clearpathrobotics.com>  Tue, 25 Sep 2018 04:00:00 -0000

ros-kinetic-spinnaker-camera-driver (0.1.2-0xenial) xenial; urgency=high

  * Add ARM Build Support (#3 <https://github.com/ros-drivers/flir_camera_driver/issues/3>)
    * Added ARM Build Support.
  * Contributors: Michael Hosmar

 -- Mike Hosmar <mhosmar@clearpathrobotics.com>  Fri, 27 Jul 2018 04:00:00 -0000

ros-kinetic-spinnaker-camera-driver (0.1.1-0xenial) xenial; urgency=high

  * Add opencv3 as build dependency.
  * Contributors: Michael Hosmar

 -- Mike Hosmar <mhosmar@clearpathrobotics.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-kinetic-spinnaker-camera-driver (0.1.0-0xenial) xenial; urgency=high

  * Initial Release
  * Contributors: Michael Hosmar

 -- Mike Hosmar <mhosmar@clearpathrobotics.com>  Tue, 24 Jul 2018 04:00:00 -0000
