=== debian/control ===
Source: ros-kinetic-spinnaker-camera-driver
Section: misc
Priority: extra
Maintainer: Mike Hosmar <mhosmar@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), curl, dpkg, libcurl4-openssl-dev, libusb-1.0-0-dev, ros-kinetic-camera-info-manager, ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-exposure-msgs, ros-kinetic-image-transport, ros-kinetic-nodelet, ros-kinetic-opencv3, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-sensor-msgs, ros-kinetic-wfov-camera-msgs
Homepage: http://ros.org/wiki/spinnaker_camera_driver
Standards-Version: 3.9.2

Package: ros-kinetic-spinnaker-camera-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-kinetic-camera-info-manager, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-exposure-msgs, ros-kinetic-image-proc, ros-kinetic-image-transport, ros-kinetic-nodelet, ros-kinetic-opencv3, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-wfov-camera-msgs
Description: Spinnaker camera driver based on Spinnaker.
